Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UISuggestionBox

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData
                  org.richfaces.component.UISuggestionBox

All Implemented Interfaces:
  javax.faces.component.NamingContainer, javax.faces.component.StateHolder, javax.faces.component.ValueHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource

Direct Known Subclasses:
  HtmlSuggestionBox

    public abstract class UISuggestionBox

extends javax.faces.component.UIData
implements org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource, javax.faces.component.ValueHolder

UI implementation for SuggestionBox component.

Version:
  $Revision: 1.5 $ $Date: 2007/03/01 22:37:50 $
Author:
  shura (latest modification by $Author: alexsmirnov $)

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY` Component family.
`static java.lang.String` | `COMPONENT_TYPE` Component type.

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`UISuggestionBox()`

Method Summary
`void` | `addAjaxListener(org.ajax4jsf.event.AjaxListener listener)`
`void` | `broadcast(javax.faces.event.FacesEvent event)`
`org.ajax4jsf.event.AjaxListener[]` | `getAjaxListeners()`
`abstract java.lang.String` | `getBorder()` Getter for border.
`abstract java.lang.String` | `getCellpadding()` Getter for cellpadding.
`abstract javax.faces.convert.Converter` | `getConverter()` Getter for converter.
`abstract java.lang.String` | `getEntryClass()` Getter for entryClass.
`abstract java.lang.Object` | `getFetchValue()`
`abstract java.lang.String` | `getFor()`
`java.lang.Object` | `getLocalValue()`
`abstract java.lang.String` | `getNothingLabel()`
`abstract java.lang.String` | `getPopupClass()` Getter for popupClass.
`abstract java.lang.String` | `getPopupStyle()` Getter for popupStyle.
`abstract java.lang.String` | `getRowClasses()` Getter for rowClasses.
`int` | `getRowNumber()`
`abstract java.lang.String` | `getSelectValueClass()` Getter for selectValueClass.
`abstract java.lang.String` | `getStyle()` Getter for style.
`abstract java.lang.String` | `getStyleClass()` Getter for styleClass.
`abstract java.lang.Object` | `getSubmitedValue()` Getter for for attribute.
`abstract javax.el.MethodExpression` | `getSuggestionAction()` Getter for suggestionAction.
`abstract int` | `getZindex()`
`abstract boolean` | `isImmediate()` Getter for immediate.
`abstract boolean` | `isSelfRendered()` Getter for selfRendered.
`boolean` | `isSubmitted()` Getter for submitted.
`abstract boolean` | `isUsingSuggestObjects()`
`void` | `processDecodes(javax.faces.context.FacesContext context)`
`void` | `queueEvent(javax.faces.event.FacesEvent event)`
`void` | `removeAjaxListener(org.ajax4jsf.event.AjaxListener listener)`
`abstract void` | `setBorder(java.lang.String value)` Setter for border.
`abstract void` | `setCellpadding(java.lang.String value)` Setter for cellpadding.
`abstract void` | `setConverter(javax.faces.convert.Converter converter)` Setter for converter.
`abstract void` | `setEntryClass(java.lang.String value)` Setter for entryClass.
`abstract void` | `setFetchValue(java.lang.Object value)`
`abstract void` | `setFor(java.lang.String f)` Setter for attribute.
`abstract void` | `setImmediate(boolean value)` Getter for immediate.
`abstract void` | `setNothingLabel(java.lang.String nothingLabel)`
`abstract void` | `setPopupClass(java.lang.String value)` Setter for popupClass.
`abstract void` | `setPopupStyle(java.lang.String value)` Setter for popupStyle.
`abstract void` | `setRowClasses(java.lang.String rowClasses)` Getter for rowClasses.
`void` | `setRowNumber(int rowNumber)`
`abstract void` | `setSelectValueClass(java.lang.String value)` Setter for selectValueClass.
`abstract void` | `setSelfRendered(boolean value)` Getter for selfRendered.
`abstract void` | `setStyle(java.lang.String value)` Setter for style.
`abstract void` | `setStyleClass(java.lang.String value)` Setter for styleClass.
`abstract void` | `setSubmitedValue(java.lang.Object v)`
`void` | `setSubmitedValue(java.lang.Object suggestionValue, java.lang.String[] requestedValues)`
`void` | `setSubmitted(boolean s)` Setter for submitted.
`abstract void` | `setSuggestionAction(javax.el.MethodExpression action)` Setter for suggestionAction.
`void` | `setupValue(javax.faces.context.FacesContext context)`
`abstract void` | `setUsingSuggestObjects(boolean usingSuggestObjects)`
`abstract void` | `setZindex(int zindex)`

Methods inherited from class javax.faces.component.UIData
`encodeBegin, getClientId, getDataModel, getFamily, getFirst, getFooter, getHeader, getRowCount, getRowData, getRowIndex, getRows, getValue, getVar, invokeOnComponent, isRowAvailable, processUpdates, processValidators, restoreState, saveState, setDataModel, setFirst, setFooter, setHeader, setRowIndex, setRows, setValue, setValueBinding, setValueExpression, setVar`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.component.AjaxComponent
`getData, getEventsQueue, getFocus, getOnbeforedomupdate, getOncomplete, getProcess, getRequestDelay, getReRender, getSimilarityGroupingId, getStatus, getTimeout, isAjaxSingle, isBypassUpdates, isIgnoreDupResponses, isLimitToList, setAjaxSingle, setBypassUpdates, setData, setEventsQueue, setFocus, setIgnoreDupResponses, setLimitToList, setOnbeforedomupdate, setOncomplete, setProcess, setRequestDelay, setReRender, setSimilarityGroupingId, setStatus, setTimeout`

Methods inherited from interface javax.faces.component.ValueHolder
`getValue, setValue`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

  Component type.

  See Also:
    Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

  Component family.

  See Also:
    Constant Field Values

Constructor Detail

### UISuggestionBox

    public UISuggestionBox()

Method Detail

### getSubmitedValue

    public abstract java.lang.Object getSubmitedValue()

  Getter for for attribute. id (or full path of id's) of target components, for which this element must provide support. If a target component inside of the same `NamingContainer`(UIForm, UIData in base implementstions), can be simple value of the "id" attribute. For other cases must include id's of `NamingContainer`components, separated by ':'. For search from the root of components, must be started with ':'.

  ````
  Returns:
    for value from local variable or value bindings

### setSubmitedValue

    public abstract void setSubmitedValue(java.lang.Object v)

### setSubmitedValue

    public void setSubmitedValue(java.lang.Object suggestionValue,
                                 java.lang.String[] requestedValues)

### getFor

    public abstract java.lang.String getFor()

### setFor

    public abstract void setFor(java.lang.String f)

  Setter for attribute.

  Parameters:
    `f` - identifier

### getSuggestionAction

    public abstract javax.el.MethodExpression getSuggestionAction()

  Getter for suggestionAction. Method calls an expression to get a collection of suggestion data on request. It must have one parameter with a type of Object with content of input component and must return any type allowed for ;

  Returns:
    suggestionAction value from local variable or value bindings

### setSuggestionAction

    public abstract void setSuggestionAction(javax.el.MethodExpression action)

  Setter for suggestionAction.

  Parameters:
    `action` - `MethodExpression`

### getConverter

    public abstract javax.faces.convert.Converter getConverter()

  Getter for converter. Id of Converter to be used or reference to a Converter.

  Specified by:
    `getConverter` in interface `javax.faces.component.ValueHolder`
  Returns:
    converter value from local variable or value bindings

### setConverter

    public abstract void setConverter(javax.faces.convert.Converter converter)

  Setter for converter.

  Specified by:
    `setConverter` in interface `javax.faces.component.ValueHolder`
  Parameters:
    `converter` - `Converter`

### getRowClasses

    public abstract java.lang.String getRowClasses()

  Getter for rowClasses.

  Returns:
    rowClasses value from local variable or value bindings

### setRowClasses

    public abstract void setRowClasses(java.lang.String rowClasses)

  Getter for rowClasses.

  Parameters:
    `rowClasses` - row classes

### getSelectValueClass

    public abstract java.lang.String getSelectValueClass()

  Getter for selectValueClass. Name of the CSS class for a hidden suggestion entry element (table cell)

  Returns:
    selectValueClass value from local variable or value bindings

### setSelectValueClass

    public abstract void setSelectValueClass(java.lang.String value)

  Setter for selectValueClass.

  Parameters:
    `value` - class

### getBorder

    public abstract java.lang.String getBorder()

  Getter for border. This attributes specifies the width (in pixels only) of the frame around a table

  Returns:
    border value from local variable or value bindings

### setBorder

    public abstract void setBorder(java.lang.String value)

  Setter for border.

  Parameters:
    `value` - of border

### getCellpadding

    public abstract java.lang.String getCellpadding()

  Getter for cellpadding. This attribute specifies the amount of space between the border of the cell and its contents. If the value of this attribute is a pixel length, all four margins should be this distance from the contents. If the value of the attribute is percentage length, the top and bottom margins should be equally separated from the content based on percentage of the available vertical space, and the left and right margins should be equally separated from the content based on percentage of the available horizontal space

### setCellpadding

    public abstract void setCellpadding(java.lang.String value)

  Setter for cellpadding.

  Parameters:
    `value` - of cellpadding

### isImmediate

    public abstract boolean isImmediate()

  Getter for immediate.

  Returns:
    immediate value from local variable or value bindings

### setImmediate

    public abstract void setImmediate(boolean value)

  Getter for immediate.

  Parameters:
    `value` - of immediate

### isSelfRendered

    public abstract boolean isSelfRendered()

  Getter for selfRendered. If true, forces active Ajax region render response directly from stored components tree, bypasses page processing. Can be used for increase performance. Also, must be set to 'true' inside iteration components, such as dataTable

  Returns:
    selfRendered value from local variable or value bindings

### setSelfRendered

    public abstract void setSelfRendered(boolean value)

  Getter for selfRendered.

  Parameters:
    `value` - for attribute

### getEntryClass

    public abstract java.lang.String getEntryClass()

  Getter for entryClass. Name of the CSS class for a suggestion entry element (table row)

  Returns:
    entryClass value from local variable or value bindings

### setEntryClass

    public abstract void setEntryClass(java.lang.String value)

  Setter for entryClass.

  Parameters:
    `value` - of entry class

### isSubmitted

    public boolean isSubmitted()

  Getter for submitted.

  Returns:
    TRUE if submited

### setSubmitted

    public void setSubmitted(boolean s)

  Setter for submitted.

  Parameters:
    `s` - of entry class

### getZindex

    public abstract int getZindex()

### setZindex

    public abstract void setZindex(int zindex)

### getNothingLabel

    public abstract java.lang.String getNothingLabel()

### setNothingLabel

    public abstract void setNothingLabel(java.lang.String nothingLabel)

### getFetchValue

    public abstract java.lang.Object getFetchValue()

### setFetchValue

    public abstract void setFetchValue(java.lang.Object value)

### getRowNumber

    public int getRowNumber()

### setRowNumber

    public void setRowNumber(int rowNumber)

### broadcast

    public final void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

  Overrides:
    `broadcast` in class `javax.faces.component.UIData`
  Throws:
    `javax.faces.event.AbortProcessingException`

### queueEvent

    public void queueEvent(javax.faces.event.FacesEvent event)

  Overrides:
    `queueEvent` in class `javax.faces.component.UIData`

### processDecodes

    public void processDecodes(javax.faces.context.FacesContext context)

  Overrides:
    `processDecodes` in class `javax.faces.component.UIData`

### setupValue

    public void setupValue(javax.faces.context.FacesContext context)

### addAjaxListener

    public void addAjaxListener(org.ajax4jsf.event.AjaxListener listener)

  Specified by:
    `addAjaxListener` in interface `org.ajax4jsf.event.AjaxSource`

### getAjaxListeners

    public org.ajax4jsf.event.AjaxListener[] getAjaxListeners()

  Specified by:
    `getAjaxListeners` in interface `org.ajax4jsf.event.AjaxSource`

### removeAjaxListener

    public void removeAjaxListener(org.ajax4jsf.event.AjaxListener listener)

  Specified by:
    `removeAjaxListener` in interface `org.ajax4jsf.event.AjaxSource`

### getLocalValue

    public java.lang.Object getLocalValue()

  Specified by:
    `getLocalValue` in interface `javax.faces.component.ValueHolder`

### getStyleClass

    public abstract java.lang.String getStyleClass()

  Getter for styleClass. Corresponds to the HTML class attribute

  Returns:
    styleClass value from local variable or value bindings

### setStyleClass

    public abstract void setStyleClass(java.lang.String value)

  Setter for styleClass.

  Parameters:
    `value` - class

### getPopupClass

    public abstract java.lang.String getPopupClass()

  Getter for popupClass. HTML CSS class attribute of element for pop-up suggestion content

  Returns:
    popupClass value from local variable or value bindings

### setPopupClass

    public abstract void setPopupClass(java.lang.String value)

  Setter for popupClass.

  Parameters:
    `value` - class

### getStyle

    public abstract java.lang.String getStyle()

  Getter for style. CSS style(s) is/are to be applied when this component is rendered

  Returns:
    style value from local variable or value bindings

### setStyle

    public abstract void setStyle(java.lang.String value)

  Setter for style.

  Parameters:
    `value` - style

### getPopupStyle

    public abstract java.lang.String getPopupStyle()

  Getter for popupStyle. HTML CSS style attribute of element for pop-up suggestion content

  Returns:
    popupStyle value from local variable or value bindings

### setPopupStyle

    public abstract void setPopupStyle(java.lang.String value)

  Setter for popupStyle.

  Parameters:
    `value` - style

### isUsingSuggestObjects

    public abstract boolean isUsingSuggestObjects()

### setUsingSuggestObjects

    public abstract void setUsingSuggestObjects(boolean usingSuggestObjects)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.